Bug 200329 - net-mgmt/flowviewer: Shebang fix and other port changes
Summary: net-mgmt/flowviewer: Shebang fix and other port changes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-05-19 14:15 UTC by timp87
Modified: 2015-06-10 18:05 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (7.31 KB, patch)
2015-05-19 14:15 UTC, timp87
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2015-05-19 14:15:32 UTC
Created attachment 156943 [details]
patch

Hi!
Since perl5.20 became a default version and does not provide a symlink to /usr/bin this port should reflect that.

- add shebangfix for all perl files;
- reorganize Makefile a bit;
- define more files as configs.
Comment 1 Oleksii Samorukov freebsd_committer 2015-05-30 06:57:11 UTC
thank you for PR, please commit. Maintainer.
Comment 2 Kurt Jaeger freebsd_committer 2015-06-10 08:49:45 UTC
Tests looked fine. Will commit in approx. 10 hours.
Comment 3 timp87 2015-06-10 09:17:29 UTC
(In reply to Kurt Jaeger from comment #2)
Thanks a lot!
Comment 4 commit-hook freebsd_committer 2015-06-10 18:04:45 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 10 18:03:51 UTC 2015
New revision: 389116
URL: https://svnweb.freebsd.org/changeset/ports/389116

Log:
  net-mgmt/flowviewer: fix several issues

  - add shebangfix for all perl files
  - reorganize Makefile a bit
  - define more files as config files

  PR:		200329
  Submitted by:	timp87@gmail.com
  Approved by:	samm@os2.kiev.ua (maintainer)

Changes:
  head/net-mgmt/flowviewer/Makefile
  head/net-mgmt/flowviewer/files/pkg-message.in
  head/net-mgmt/flowviewer/pkg-plist
Comment 5 Kurt Jaeger freebsd_committer 2015-06-10 18:05:16 UTC
Committed, thanks!